Skip to main content
GET
/
extractions
/
{template_id}
cURL
curl --request GET \
  --url https://api.bolna.ai/extractions/{template_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc0d444b5088228dd25736052a",
    "name": "Lead Qualification",
    "json_schema": {
      "type": "object",
      "properties": {
        "lead_quality": {
          "type": "string",
          "enum": [
            "hot",
            "warm",
            "cold"
          ]
        },
        "budget_range": {
          "type": "string"
        },
        "timeline": {
          "type": "string"
        }
      }
    },
    "instructions": "Extract the lead quality, budget, and timeline from the conversation.",
    "model": "gpt-4.1-mini",
    "inputs": {},
    "keys": {},
    "display": true,
    "supports_custom_questions": false,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string<uuid>
required

The ID of the extraction template

Response

extraction template response

data
object

An extraction template for structured data extraction from call transcripts.